'use strict';

var _commonjsHelpers = require('./_commonjsHelpers-06173234.js');
var _toObject = require('./_to-object-6de10e57.js');

// 19.1.2.4 / 15.2.3.6 Object.defineProperty(O, P, Attributes)
_toObject._export(_toObject._export.S + _toObject._export.F * !_toObject._descriptors, 'Object', { defineProperty: _toObject._objectDp.f });

var $Object = _toObject._core.Object;
var defineProperty$1 = function defineProperty(it, key, desc) {
  return $Object.defineProperty(it, key, desc);
};

var defineProperty = _commonjsHelpers.createCommonjsModule(function (module) {
module.exports = { "default": defineProperty$1, __esModule: true };
});

_commonjsHelpers.unwrapExports(defineProperty);

exports.defineProperty = defineProperty;
